package com.pcloud.book.weixinclock.dto;

import com.pcloud.common.dto.BaseDto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author 杨涛
 * @description TODO
 * @date 2019/8/16 17:45
 */
public class RankDto extends BaseDto {

    private static final long serialVersionUID = 1717568387924758933L;

    @ApiModelProperty("排名")
    private Integer rankNum;

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("头像")
    private String headPic;

    @ApiModelProperty("打卡次数")
    private Integer clockNum;

    public Integer getRankNum() {
        return rankNum;
    }

    public void setRankNum(Integer rankNum) {
        this.rankNum = rankNum;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getHeadPic() {
        return headPic;
    }

    public void setHeadPic(String headPic) {
        this.headPic = headPic;
    }

    public Integer getClockNum() {
        return clockNum;
    }

    public void setClockNum(Integer clockNum) {
        this.clockNum = clockNum;
    }

    @Override
    public String toString() {
        return "RankDto{" +
                "rankNum=" + rankNum +
                ", nickname='" + nickname + '\'' +
                ", headPic='" + headPic + '\'' +
                ", clockNum=" + clockNum +
                '}';
    }
}
